# ViewProperties.Property (ARX GUI Documentation)

org.deidentifier.arx.gui.view.impl.utility

## Class ViewProperties.Property

- java.lang.Object
- - org.deidentifier.arx.gui.view.impl.utility.ViewProperties.Property

- Enclosing class:
    ViewProperties

      protected class ViewProperties.Property
      extends java.lang.Object

  A class for properties displayed in the tree view.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.util.List<ViewProperties.Property>` | `children` Children
    `ViewProperties.Property` | `parent` Parent
    `java.lang.String` | `property` Label
    `java.lang.String[]` | `values` Values

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ViewProperties.Property(java.lang.String property, java.lang.String[] values)`
    `ViewProperties.Property(ViewProperties.Property father, java.lang.String property, java.lang.String[] values)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `add(ViewProperties.Property p)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### parent

          public ViewProperties.Property parent

      Parent

    - #### children

          public java.util.List<ViewProperties.Property> children

      Children

    - #### property

          public java.lang.String property

      Label

    - #### values

          public java.lang.String[] values

      Values

  - ### Constructor Detail

    - #### ViewProperties.Property

          public ViewProperties.Property(ViewProperties.Property father,
                                 java.lang.String property,
                                 java.lang.String[] values)

      Parameters:
        `father` -
        `property` -
        `values` -

    - #### ViewProperties.Property

          public ViewProperties.Property(java.lang.String property,
                                 java.lang.String[] values)

      Parameters:
        `property` -
        `values` -

  - ### Method Detail

    - #### add

          public void add(ViewProperties.Property p)

      Parameters:
        `p` -